kr.co.hanwha.hifive.screen.main.setting

## Class MainSettingPresenter

- java.lang.Object
- - kr.co.hanwha.hifive.screen.main.setting.MainSettingPresenter

- All Implemented Interfaces:
    BasePresenter, MainSettingContract.Presenter

      public class MainSettingPresenter
      extends java.lang.Object
      implements MainSettingContract.Presenter

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private android.app.Activity` | `mActivity`
    `private android.content.Context` | `mContext`
    `private boolean` | `mLastChecked`
    `private MainSettingContract.View` | `mView`
    `android.view.View.OnClickListener` | `onClickListener` View.OnClickListener
    `(package private) HFSettingMenuActionView.OnSettingMenuActionListener` | `onSettingMenuActionListener` HFSettingMenuActionView.OnSettingMenuActionListener
    `(package private) HFSettingMenuVersionView.OnSettingMenuVersionListener` | `onSettingMenuVersionListener` HFSettingMenuActionView.OnSettingMenuActionListener
    `(package private) HFSettingProfileView.OnSettingProfileListener` | `onSettingProfileListener` HFSettingProfileView.OnSettingProfileListener

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MainSettingPresenter(android.app.Activity activity, android.content.Context context, MainSettingContract.View view)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `detachView()`
    `void` | `doEditProfileManagement()` 개인 정보 변경
    `void` | `doPasswordManagement()` 계정 비밀번호 변경
    `void` | `doSimplePasswordManagement()` 간편 비밀번호 초기화
    `void` | `doUnitManagement(int projectId)` 유닛 관리
    `void` | `doUpdate()` 업데이트
    `private android.app.Activity` | `getActivity()`
    `android.content.Context` | `getContext()`
    `void` | `initData()` Initialize Data
    `private void` | `initDataVersion()`
    `void` | `setAlarmSetting(boolean isSelected)` 알림 설정
    `private void` | `showAdmin()` ADMIN

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mActivity

          private android.app.Activity mActivity

    - #### mContext

          private android.content.Context mContext

    - #### mView

          private MainSettingContract.View mView

    - #### mLastChecked

          private boolean mLastChecked

    - #### onSettingProfileListener

          HFSettingProfileView.OnSettingProfileListener onSettingProfileListener

      HFSettingProfileView.OnSettingProfileListener

    - #### onSettingMenuActionListener

          HFSettingMenuActionView.OnSettingMenuActionListener onSettingMenuActionListener

      HFSettingMenuActionView.OnSettingMenuActionListener

    - #### onSettingMenuVersionListener

          HFSettingMenuVersionView.OnSettingMenuVersionListener onSettingMenuVersionListener

      HFSettingMenuActionView.OnSettingMenuActionListener

    - #### onClickListener

          public android.view.View.OnClickListener onClickListener

      View.OnClickListener

  - ### Constructor Detail

    - #### MainSettingPresenter

          public MainSettingPresenter(@NonNull
                                      android.app.Activity activity,
                                      @NonNull
                                      android.content.Context context,
                                      MainSettingContract.View view)

  - ### Method Detail

    - #### detachView

          public void detachView()

      Specified by:
        `detachView` in interface `BasePresenter`

    - #### initData

          public void initData()

      Description copied from interface: `MainSettingContract.Presenter`
      Initialize Data
      Specified by:
        `initData` in interface `MainSettingContract.Presenter`

    - #### initDataVersion

          private void initDataVersion()

    - #### doEditProfileManagement

          public void doEditProfileManagement()

      Description copied from interface: `MainSettingContract.Presenter`
      개인 정보 변경
      Specified by:
        `doEditProfileManagement` in interface `MainSettingContract.Presenter`

    - #### doPasswordManagement

          public void doPasswordManagement()

      Description copied from interface: `MainSettingContract.Presenter`
      계정 비밀번호 변경
      Specified by:
        `doPasswordManagement` in interface `MainSettingContract.Presenter`

    - #### doSimplePasswordManagement

          public void doSimplePasswordManagement()

      Description copied from interface: `MainSettingContract.Presenter`
      간편 비밀번호 초기화
      Specified by:
        `doSimplePasswordManagement` in interface `MainSettingContract.Presenter`

    - #### doUnitManagement

          public void doUnitManagement(@NonNull
                                       int projectId)

      Description copied from interface: `MainSettingContract.Presenter`
      유닛 관리
      Specified by:
        `doUnitManagement` in interface `MainSettingContract.Presenter`
      Parameters:
        `projectId` - 유닛 ID

    - #### doUpdate

          public void doUpdate()

      Description copied from interface: `MainSettingContract.Presenter`
      업데이트
      Specified by:
        `doUpdate` in interface `MainSettingContract.Presenter`

    - #### setAlarmSetting

          public void setAlarmSetting(boolean isSelected)

      Description copied from interface: `MainSettingContract.Presenter`
      알림 설정
      Specified by:
        `setAlarmSetting` in interface `MainSettingContract.Presenter`
      Parameters:
        `isSelected` - On / Off

    - #### getContext

          public android.content.Context getContext()

      Specified by:
        `getContext` in interface `BasePresenter`

    - #### getActivity

          private android.app.Activity getActivity()

    - #### showAdmin

          private void showAdmin()

      ADMIN